Confirm, discard or undo a change the assistant prepared
POST
/api/v1/assistant/proposals/{id}
const url = 'http://127.0.0.1:8484/api/v1/assistant/proposals/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"action":"confirm"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url http://127.0.0.1:8484/api/v1/assistant/proposals/example \ --header 'Content-Type: application/json' \ --data '{ "action": "confirm" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
action
required
Confirm applies the change, discard drops it, undo reverts one already applied
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
canUndo
required
An applied change that Undo can revert
boolean
id
required
string
lines
required
Array<object> | null
object
args
required
Array | null
key
required
string
status
required
string
subscriptionId
string
title
required
object
args
required
Array | null
key
required
string
Example
{ "$schema": "https://example.com/api/schemas/AssistantOutcome.json", "status": "pending"}default
Section titled “default”Error
Media typeapplication/problem+json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "$schema": "https://example.com/api/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}